Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
Skorzeny
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.06.2007
Postitused: 353

Distributsioon: /LinuxMint Mate18.1/Backbox 4.5
burkinafaso.gif
postituspostitatud: 20.12.2014, 05:21  postituse pealkiri:  (teema puudub)  

natsa kirjutas:
Linux Mint Debian Edition rolling release.

http://www.linuxmint.com/download_lmde.php

See on pidevalt uuenev distro, uuendused peale ja läheb.

Rollingud on veel SolydXK ja SparkyLinux.

LMDE on semi-rolling.
Ja rollinguid ikka jupp maad rohkem, Cool
Või räägid ainult Debian-põhistest?

_________________
Image

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 20.12.2014, 11:51  postituse pealkiri:  (teema puudub)  

Räägin nendest, mida proovinud olen.

_________________
Kõige parem asi on töötav asi.

kessu
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 16.07.2007
Postitused: 1106

Distributsioon: Ubuntu 16.04 LTS 64bit
estonia.gif
postituspostitatud: 17.05.2015, 15:00  postituse pealkiri:  (teema puudub)  

Kas kohe kuidagi ei saa seda id-kaarti tarklvara inimsõbralikumaks?

IGA JUMALA KORD KUI MA SÜSTEEMI UUENDAN ON SELLE PAIGALDAMISEGA MINGI JAMA!

Seekord siis:
Kood:
W: Failed to fetch https://installer.id.ee/media/ubuntu/dists/rebecca/main/binary-amd64/Packages  HttpError404

W: Failed to fetch https://installer.id.ee/media/ubuntu/dists/rebecca/main/binary-i386/Packages  HttpError404

E: Some index files failed to download. They have been ignored, or old ones used instead.

_________________
Olen umbkeelne mulk ja ei saa võõrastest keeltest piisavalt aru

sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4358
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 17.05.2015, 15:12  postituse pealkiri:  (teema puudub)  

kessu kirjutas:
Kas kohe kuidagi ei saa seda id-kaarti tarklvara inimsõbralikumaks?

IGA JUMALA KORD KUI MA SÜSTEEMI UUENDAN ON SELLE PAIGALDAMISEGA MINGI JAMA!

Seekord siis:
Kood:
W: Failed to fetch https://installer.id.ee/media/ubuntu/dists/rebecca/main/binary-amd64/Packages  HttpError404

W: Failed to fetch https://installer.id.ee/media/ubuntu/dists/rebecca/main/binary-i386/Packages  HttpError404

E: Some index files failed to download. They have been ignored, or old ones used instead.


rebecca kõlab pigem nagu Mint, mitte nagu Ubuntu. Esimest RIA/SK ametlikult ei toeta, seega üritad sa natuke võimatut ja siis kirud. Pead oma scripti nii muutma, et seal oleks rebecca asemel Ubuntu vastav väärtus - selle pead muidugi ise välja uurima - ma pole nende nimedega kodus.

_________________
Image Image Image

kessu
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 16.07.2007
Postitused: 1106

Distributsioon: Ubuntu 16.04 LTS 64bit
estonia.gif
postituspostitatud: 17.05.2015, 15:34  postituse pealkiri:  (teema puudub)  

Ma siin alles paar korda tagasi küsisin, et kas peab scriptil midagi muutma ka. Ükskord oli mul sellega jama - siis sain vastuseks et ei pea, ja tulemusena sain installitud ilma scripti muutmata.

Ja scripte ma ise muuta ei oska.

_________________
Olen umbkeelne mulk ja ei saa võõrastest keeltest piisavalt aru

spott
Admin
Admin


Vanus: 38
Liitunud: 04.06.2005
Postitused: 8778

Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 17.05.2015, 16:33  postituse pealkiri:  (teema puudub)  

pead muutma küll. Sest sinu süsteemi nimi ei ole Ubuntu nimi ja selle pärast ei leita ka vastavat repot. Pead panema sinna skripti käsitsi sisse Linux Minti versioonile vastava Ubuntu nime.

_________________
Tellige endale sünnipäevaks, sõbrapäevaks või muuks tähtpäevaks kingitus: Kingitused internetist - NetiKink.eu

kessu
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 16.07.2007
Postitused: 1106

Distributsioon: Ubuntu 16.04 LTS 64bit
estonia.gif
postituspostitatud: 17.05.2015, 18:02  postituse pealkiri:  (teema puudub)  

Ma saan aru, aga kui ma pean seda tegema korra aastas, siis ma tõesti ei mäleta, kuhu ma seda kirjutama pean.

_________________
Olen umbkeelne mulk ja ei saa võõrastest keeltest piisavalt aru

sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4358
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 17.05.2015, 18:04  postituse pealkiri:  (teema puudub)  

kessu kirjutas:
Ma saan aru, aga kui ma pean seda tegema korra aastas, siis ma tõesti ei mäleta, kuhu ma seda kirjutama pean.


Ma usun, et seda on siin foorumis korduvalt ja korduvalt seletatud, kasuta otsingut Smile

_________________
Image Image Image

kessu
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 16.07.2007
Postitused: 1106

Distributsioon: Ubuntu 16.04 LTS 64bit
estonia.gif
postituspostitatud: 17.05.2015, 18:30  postituse pealkiri:  (teema puudub)  

Niisiis: kui see on nii küsitud teema siis, kas pole mõtet seda kuhugi õpetusena üles panna?


AGA:
Kood:
Järgmistel pakettidel on lahendamata sõltuvusi:
 esteid : Depends: xul-ext-esteid aga seda ei ole võimalik paigaldada
E: Unable to correct problems, you have held broken packages.


Ja nüüd?

_________________
Olen umbkeelne mulk ja ei saa võõrastest keeltest piisavalt aru

sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4358
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 17.05.2015, 18:33  postituse pealkiri:  (teema puudub)  

kessu kirjutas:
Niisiis: kui see on nii küsitud teema siis, kas pole mõtet seda kuhugi õpetusena üles panna?


AGA:
Kood:
Järgmistel pakettidel on lahendamata sõltuvusi:
 esteid : Depends: xul-ext-esteid aga seda ei ole võimalik paigaldada
E: Unable to correct problems, you have held broken packages.


Ja nüüd?


Proovi xul-ext-esteid eraldi paigaldada ja vaata, miks ta siis paigalduda ei taha.

_________________
Image Image Image

kessu
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 16.07.2007
Postitused: 1106

Distributsioon: Ubuntu 16.04 LTS 64bit
estonia.gif
postituspostitatud: 17.05.2015, 18:35  postituse pealkiri:  (teema puudub)  

Kood:
Pakett xul-ext-esteid pole saadaval, aga teine pakett viitab sellele.
See võib tähendada, et pakett puudub, on aegunud või
on saadaval ainult teisest allikast.

E: Package 'xul-ext-esteid' has no installation candidate

_________________
Olen umbkeelne mulk ja ei saa võõrastest keeltest piisavalt aru

sadiini
Vana Pingviin
Vana Pingviin


Vanus: 48
Liitunud: 28.12.2007
Postitused: 1433
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: LXLE, Mint
estonia.gif
postituspostitatud: 17.05.2015, 19:41  postituse pealkiri:  (teema puudub)  

Mint 17 puhul pole mingit erilist "kehakeemiat" vaja olnud. Ainult scripti käivitamise vaev...

Testitud ilma reaalseid loomi kaasamata kümnetes arvutites.

Kood:
#!/bin/bash

# Ubuntu

OPSYS=trusty

REPO_FILE=/etc/apt/sources.list.d/ria-repository.list

check_privileges()
{
   touch $REPO_FILE 1>/dev/null 2>&1
   if [ "$?" != "0" ] ; then
      echo "You must have root privileges to run this script"
      exit 1
   fi
}

create_repo_file()
{
   echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE 1>/dev/null 2>&1
   echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd of=$REPO_FILE.save 1>/dev/null 2>&1
}

import_ria_key()
{
   sudo apt-key list | grep '^pub.*1024D/592073D4.*2010-10-26$' 1>/dev/null
   KEY_LOOKUP_RESULT=$?
   if [ "$KEY_LOOKUP_RESULT" != "0" ] ; then
      echo "Loading RIA Repository key"
      sudo wget -O /tmp/ria-public.key https://installer.id.ee/media/install-scripts/ria-public.key
      sudo apt-key add /tmp/ria-public.key
      sudo rm -f /tmp/ria-public.key
   else
      echo "RIA Repository key already loaded"
   fi
}

update_repo()
{
   sudo apt-get update
}

install_estonianidcard()
{
   sudo apt-get install estonianidcard
}

check_privileges
create_repo_file
import_ria_key
update_repo
install_estonianidcard

_________________
Hea tarkvara kuulab kasutaja sõna Smile



Viimati muutis sadiini 17.05.2015, 20:08; muudetud 1 kord
kessu
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 16.07.2007
Postitused: 1106

Distributsioon: Ubuntu 16.04 LTS 64bit
estonia.gif
postituspostitatud: 17.05.2015, 20:56  postituse pealkiri:  (teema puudub)  

Mina leidsin ainult selle ... Ubuntu 13.10 (Saucy Salamander), aga selle järgi ei saanud ma midagi tehtud, sest nagu erinevustest paistab, on tegemist ikka täiesti erinevat sorti muutmisega.

_________________
Olen umbkeelne mulk ja ei saa võõrastest keeltest piisavalt aru

sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4358
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 18.05.2015, 11:05  postituse pealkiri:  (teema puudub)  

kessu kirjutas:
Niisiis: kui see on nii küsitud teema siis, kas pole mõtet seda kuhugi õpetusena üles panna?


Küsi siis edaspidi oma küsimused küsimuste ja vastuste all, nii et oleks võimalik väärikad vastused üles hääletada ja sinul need hiljem lihtsam uuesti leida..

_________________
Image Image Image

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 18.05.2015, 12:04  postituse pealkiri:  (teema puudub)  

kessu! Vaata eespool iseenda postitust 19/12/2014 Very Happy

_________________
Kõige parem asi on töötav asi.

kessu
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 16.07.2007
Postitused: 1106

Distributsioon: Ubuntu 16.04 LTS 64bit
estonia.gif
postituspostitatud: 18.05.2015, 12:20  postituse pealkiri:  (teema puudub)  

Eino mis sellest ikka. Mul on sellest korrast isegi installiskript järel, aga tööle see ei läinud millegipärast. Tegelikkuses on see millega nüüd paigaldasin sama. Niiet ma ei tea, milles seal asi võis olla.

_________________
Olen umbkeelne mulk ja ei saa võõrastest keeltest piisavalt aru

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 18.05.2015, 12:56  postituse pealkiri:  (teema puudub)  

Vaata siis: https://pingviin.org/ftopic10016-0-asc-60.html

natsa postitus 2/5/2015 21:06

_________________
Kõige parem asi on töötav asi.

sadiini
Vana Pingviin
Vana Pingviin


Vanus: 48
Liitunud: 28.12.2007
Postitused: 1433
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: LXLE, Mint
estonia.gif
postituspostitatud: 18.05.2015, 13:00  postituse pealkiri:  (teema puudub)  

Miks sa ei võta minu pandud scriptikoodi ja seda faili sisse ei salvesta, et seda käivitada saaks?

Kood:
sudo sh failinimi.sh

_________________
Hea tarkvara kuulab kasutaja sõna Smile

imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2564
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 18.05.2015, 14:00  postituse pealkiri:  (teema puudub)  

Mudisin seda algset skripti selliselt, et kui OS on Ubuntu või Linux Mint, siis installitakse ID kaardi tarkvara ära.
Ubuntu 15.04 ja Mint 17 peal testitud ja töötab.
Kood:
#!/bin/bash
OPSYS=$(cat /etc/issue | awk '{print $1}')
OPSYSmint=$(cat /etc/issue | awk '{print $2}')
if [ "$OPSYS" == "Ubuntu" ] || [ "$OPSYSmint" == "Mint" ]
then
OPSYS="trusty"
REPO_FILE=/etc/apt/sources.list.d/ria-repository.list

check_privileges()
{
   touch $REPO_FILE 1>/dev/null 2>&1
   if [ "$?" != "0" ] ; then
                echo "You must have root privileges to run this script"
                echo "Use: sudo su"
                echo "Then rerun this script as root user"
        exit 1
        fi
}

create_repo_file()
{
   echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" |  dd of=$REPO_FILE 1>/dev/null 2>&1
   echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" |  dd of=$REPO_FILE.save 1>/dev/null 2>&1
}

import_ria_key()
{
   apt-key list | grep '^pub.*1024D/592073D4.*2010-10-26$' 1>/dev/null
   KEY_LOOKUP_RESULT=$?
   if [ "$KEY_LOOKUP_RESULT" != "0" ] ; then
      echo "Loading RIA Repository key"
      wget -O /tmp/ria-public.key https://installer.id.ee/media/install-scripts/ria-public.key
      apt-key add /tmp/ria-public.key
      rm -f /tmp/ria-public.key
   else
      echo "RIA Repository key already loaded"
   fi
}

update_repo()
{
   apt-get update
}

install_estonianidcard()
{
   apt-get install estonianidcard
}

check_privileges
create_repo_file
import_ria_key
update_repo
install_estonianidcard
else
echo "Unable to install it to this system"
fi

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

kessu
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 16.07.2007
Postitused: 1106

Distributsioon: Ubuntu 16.04 LTS 64bit
estonia.gif
postituspostitatud: 18.05.2015, 14:06  postituse pealkiri:  (teema puudub)  

Panin selle tallele.

Kuigi ... kui tuleb uus Mint väljalase siis peab selle OPSYS="trusty" seal jälle üle kirjutama. Eksju.

_________________
Olen umbkeelne mulk ja ei saa võõrastest keeltest piisavalt aru

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group